Bug 22534 - Add ability to choose which fields are copied from guarantor to guarantee
Summary: Add ability to choose which fields are copied from guarantor to guarantee
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Keywords:
: 24942 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-03-18 20:17 UTC by Genevieve Beaudry
Modified: 2020-05-20 09:14 UTC (History)
9 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This enhancement allows administrators to configure which fields from the guarantor's patron record will be copied to the guarantees record when the link between the accounts is created. **New system preference**: `PrefillGuaranteeField` defaults to `phone,email,streetnumber,address,city,state,zipcode,country`.
Version(s) released in:
20.05.00


Attachments
Bug 22534: Added syspref for defining what guarantee fields are pre filled (8.85 KB, patch)
2020-03-24 00:55 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 22534: Added syspref for defining what guarantee fields are pre filled (8.96 KB, patch)
2020-03-24 03:38 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 22534: Added syspref for defining what guarantee fields are pre filled (9.03 KB, patch)
2020-03-24 13:21 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 22534: Added syspref for defining what guarantee fields are pre filled (13.35 KB, patch)
2020-03-31 00:45 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 22534: Added syspref for defining what guarantee fields are pre filled (13.41 KB, patch)
2020-03-31 11:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22534: Added syspref for defining what guarantee fields are pre filled (30.20 KB, patch)
2020-03-31 12:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22534: (RM follow-up) Remove errant hidden file (21.40 KB, patch)
2020-04-14 10:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Genevieve Beaudry 2019-03-18 20:17:22 UTC
When linking a guarantee to a guarantor, some fields are automatically copied, such as the address, the phone number, etc. 
I suggest that a system preference be added so that the system administration can choose which fields they want to be copied. By default, it can stay address and phone number, but they would have the possibility to remove those.
Comment 1 Caroline Cyr La Rose 2019-03-18 20:19:13 UTC
Oops, I reported this. I just forgot to log out of Geneviève's bz account first.
Sorry!
Comment 2 Alex Buckley 2020-03-23 01:32:10 UTC
Hi Caroline, 

This sounds like a really great enhancement. I'd love to work on this. 

Thanks,
Alex
Comment 3 Alex Buckley 2020-03-23 02:00:25 UTC
*** Bug 24942 has been marked as a duplicate of this bug. ***
Comment 4 Alex Buckley 2020-03-24 00:55:33 UTC
Created attachment 101499 [details] [review]
Bug 22534: Added syspref for defining what guarantee fields are pre filled

Librarians should be able to define what fields in 'Main address',
'Contact' and 'Alternate contact' in member entry form for guarantee's are pre-filled from guarantor's record

The 'Guarantor surname, 'Guarantor first name' and 'relationship' fields
in the 'Contact' section should not be filled from guarantor patron
record as those fields are intended for guarantor's without patron
records in Koha.

Test plan:
1. On an adult patron's record (which has all fields filled out in the
'Main address', 'Contact' (Except for 'Guarantor surname', 'Guarantor
first name', and 'relationship')) select 'Add guarantee'

2. Observe:

* Fields in 'Main address' are all automatically pre-filled
from guarantor record

* Fields in 'Contact' (except 'Guarantor surname', 'Guarantor firstname'
and 'relationship') are all automatically pre-filled from guarantor
record

* None of the fields in 'Alternate contact' are pre-filled
from guarantor

4. Apply patch

5. Run database updates
cd installer/data/mysql
sudo koha-shell <instancename>
./updatedatabase.pl

6. Go to Administration > Global system preferences and search for the
new PrefillGuaranteeField system preference

7. Observe this syspref is empty

8. Repeat step 1 and observe none of the fields in 'Main address'
, 'Contact' or 'Alternate address' are prefilled from guarantor

9. Add the following content into PrefillGuaranteeField syspref and save:
phone|phonepro|mobile|email|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

10. Repeat step 1 and observe all fields in 'Main address',
'Alternate contact', and (except 'Guarantor surname', 'Guarantor
first name', and 'relationship') in 'Contact' are pre-filled from
guarantor

11. Change a few of the prefilled field values and 'Save' and observe your changes
have been saved as have the values you haven't altered

12. Amend PrefillGuaranteeField syspref to be:
phone|phonepro|mobile|email|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|drfregfre|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

(Note: Have added a invalid column field 'drfregfre')

13. Repeat step 1 and observe no internal server errors and all fields
listed in step 10 are still pre-filled

14. Amend PrefillGuarantee field syspref to be:
phone|phonepro|mobile|email|contactfirstname|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

(Note: Have added contactfirstname which is what the 'Guarantor first
 name' field in 'Contact' section of member entry form is)

15. Repeat step 1 and observe all fields defined in step 10 are filled
and 'Guarantor first name' is not filled even though it was listed in
PrefillGuarantorField because contactfirstname (along with
contactsurname and relationship are meant for non Koha patrons and so
should not pre-fill from a Koha patron)

16. Run tests:
sudo koha-shell <instancename>
prove xt
prove t

Sponsored-by: Waitaki Distict Council, NZ
Comment 5 Alex Buckley 2020-03-24 00:57:31 UTC
Hi all, 

Patch finished. Please test when you are able to and let me know what you think :)

Cheers,
Alex
Comment 6 Alex Buckley 2020-03-24 03:38:35 UTC
Created attachment 101501 [details] [review]
Bug 22534: Added syspref for defining what guarantee fields are pre filled

Librarians should be able to define what fields in 'Main address',
'Contact' and 'Alternate contact' in member entry form for guarantee's are pre-filled from guarantor's record

The 'Guarantor surname, 'Guarantor first name' and 'relationship' fields
in the 'Contact' section should not be filled from guarantor patron
record as those fields are intended for guarantor's without patron
records in Koha.

Test plan:
1. On an adult patron's record (which has all fields filled out in the
'Main address', 'Contact' (Except for 'Guarantor surname', 'Guarantor
first name', and 'relationship')) select 'Add guarantee'

2. Observe:

* Fields in 'Main address' are all automatically pre-filled
from guarantor record

* Fields in 'Contact' (except 'Guarantor surname', 'Guarantor firstname'
and 'relationship') are all automatically pre-filled from guarantor
record

* None of the fields in 'Alternate contact' are pre-filled
from guarantor

4. Apply patch

5. Run database updates
cd installer/data/mysql
sudo koha-shell <instancename>
./updatedatabase.pl

6. Go to Administration > Global system preferences and search for the
new PrefillGuaranteeField system preference

7. Observe this syspref containing the following:
phone|email|streetnumber|address|city|state|zipcode|country

8. Repeat step 1 and observe the following fields are prefilled from guarantor:
streetnumber
address
city
state
zipcode/postal code
country
Primary phone
Primary email

9. Add the following content into PrefillGuaranteeField syspref and save:
phone|phonepro|mobile|email|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

10. Repeat step 1 and observe all fields in 'Main address',
'Alternate contact', and (except 'Guarantor surname', 'Guarantor
first name', and 'relationship') in 'Contact' are pre-filled from
guarantor

11. Change a few of the prefilled field values and 'Save' and observe your changes
have been saved as have the values you haven't altered

12. Amend PrefillGuaranteeField syspref to be:
phone|phonepro|mobile|email|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|drfregfre|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

(Note: Have added a invalid column field 'drfregfre')

13. Repeat step 1 and observe no internal server errors and all fields
listed in step 10 are still pre-filled

14. Amend PrefillGuarantee field syspref to be:
phone|phonepro|mobile|email|contactfirstname|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

(Note: Have added contactfirstname which is what the 'Guarantor first
 name' field in 'Contact' section of member entry form is)

15. Repeat step 1 and observe all fields defined in step 10 are filled
and 'Guarantor first name' is not filled even though it was listed in
PrefillGuarantorField because contactfirstname (along with
contactsurname and relationship are meant for non Koha patrons and so
should not pre-fill from a Koha patron)

16. Run tests:
sudo koha-shell <instancename>
prove xt
prove t

Sponsored-by: Waitaki Distict Council, NZ
Comment 7 Alex Buckley 2020-03-24 03:40:13 UTC
Sorry I had missed in my test plan that the new PrefillGuaranteeField syspref has the default value of phone|email|streetnumber|address|city|state|zipcode|country

Which was suggested as defaults in the description of this bug report. 

All ready to test :)
Comment 8 PTFS Europe Sandboxes 2020-03-24 13:21:41 UTC
Created attachment 101563 [details] [review]
Bug 22534: Added syspref for defining what guarantee fields are pre filled

Librarians should be able to define what fields in 'Main address',
'Contact' and 'Alternate contact' in member entry form for guarantee's are pre-filled from guarantor's record

The 'Guarantor surname, 'Guarantor first name' and 'relationship' fields
in the 'Contact' section should not be filled from guarantor patron
record as those fields are intended for guarantor's without patron
records in Koha.

Test plan:
1. On an adult patron's record (which has all fields filled out in the
'Main address', 'Contact' (Except for 'Guarantor surname', 'Guarantor
first name', and 'relationship')) select 'Add guarantee'

2. Observe:

* Fields in 'Main address' are all automatically pre-filled
from guarantor record

* Fields in 'Contact' (except 'Guarantor surname', 'Guarantor firstname'
and 'relationship') are all automatically pre-filled from guarantor
record

* None of the fields in 'Alternate contact' are pre-filled
from guarantor

4. Apply patch

5. Run database updates
cd installer/data/mysql
sudo koha-shell <instancename>
./updatedatabase.pl

6. Go to Administration > Global system preferences and search for the
new PrefillGuaranteeField system preference

7. Observe this syspref containing the following:
phone|email|streetnumber|address|city|state|zipcode|country

8. Repeat step 1 and observe the following fields are prefilled from guarantor:
streetnumber
address
city
state
zipcode/postal code
country
Primary phone
Primary email

9. Add the following content into PrefillGuaranteeField syspref and save:
phone|phonepro|mobile|email|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

10. Repeat step 1 and observe all fields in 'Main address',
'Alternate contact', and (except 'Guarantor surname', 'Guarantor
first name', and 'relationship') in 'Contact' are pre-filled from
guarantor

11. Change a few of the prefilled field values and 'Save' and observe your changes
have been saved as have the values you haven't altered

12. Amend PrefillGuaranteeField syspref to be:
phone|phonepro|mobile|email|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|drfregfre|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

(Note: Have added a invalid column field 'drfregfre')

13. Repeat step 1 and observe no internal server errors and all fields
listed in step 10 are still pre-filled

14. Amend PrefillGuarantee field syspref to be:
phone|phonepro|mobile|email|contactfirstname|emailpro|fax|streetnumber|address|address2|city|state|zipcode|country|altcontactfirstname|altcontactsurname|altcontactaddress1|altcontactaddress2|altcontactaddress3|altcontactstate|altcontactzipcode|altcontactcountry|altcontactphone

(Note: Have added contactfirstname which is what the 'Guarantor first
 name' field in 'Contact' section of member entry form is)

15. Repeat step 1 and observe all fields defined in step 10 are filled
and 'Guarantor first name' is not filled even though it was listed in
PrefillGuarantorField because contactfirstname (along with
contactsurname and relationship are meant for non Koha patrons and so
should not pre-fill from a Koha patron)

16. Run tests:
sudo koha-shell <instancename>
prove xt
prove t

Sponsored-by: Waitaki Distict Council, NZ

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 9 Sally 2020-03-24 13:24:26 UTC
I've tested 1-15 on a sandbox and it works well.

If someone else could test 16, then I'm happy to add my sign off line to the patch:

16. Run tests:
sudo koha-shell <instancename>
prove xt
prove t
Comment 10 Katrin Fischer 2020-03-24 14:26:57 UTC
(In reply to Sally from comment #9)
> I've tested 1-15 on a sandbox and it works well.
> 
> If someone else could test 16, then I'm happy to add my sign off line to the
> patch:
> 
> 16. Run tests:
> sudo koha-shell <instancename>
> prove xt
> prove t

Hi Sally, don't worry about those, we will cover tests during QA :)
Comment 11 Sally 2020-03-25 09:00:10 UTC
Ah brilliant, thanks for letting me know, Katrin!  :)

I've updated the status to Signed Off.
Comment 12 Jonathan Druart 2020-03-27 08:17:04 UTC
Alex, I do not understand the test plan, why do you suggest having both altcontactphone and phone in the pref?

You should use the multiple options, like for CollapseFieldsPatronAddForm.
Comment 13 Alex Buckley 2020-03-30 02:47:52 UTC
Hi Jonathan, 

Thanks for your question/suggestion.

I added both altcontactphone and phone simply to illustrate that all fields (in Main address, contact, alternate address, and alternate contact) could be filled.
So if a librarian wanted the main phone field to be filled from guarantor record they could but they could equally choose to fill altcontactphone instead - both of those fields will be filled if entered into the syspref. 

I'll make the changes you mentioned now 

Thanks,
Alex
Comment 14 Alex Buckley 2020-03-31 00:44:25 UTC
Hi all, 

I've amended my patch. 

I realised I was incorrectly assigning guatantors main address and guarantor contact fields directly into guarantee alternate address and alternate contact.

In my new patch the pre-filling mapping is:

guarantor:main address = guarantee:main address
guarantor:contact = guarantee:contact
guarantor:Alternate address = guarantee:Alternate address
guarantor:Alternate contact = guarantee:Alternate contact

I've also changed the syspref to be 'multiple' like you requested Jonathan. I've listed individual fields (ordered alphabetically based on the displayed text) in the PrefillGuaranteeField rather than sections of the member entry form like in CollapseFieldsPatronAddForm this is to give librarians more granulated control if they want to pre-fill some but not all fields in 'contact' section of member entry form for example. 

As I have changed the syspref quite significantly I'll need to obsolete the patch on this ticket already tested otherwise I'd have to make another atomicupdate to UPDATE the syspref. 

Could you please re-test Sally (or anyone else interested to do so)?

Many thanks,
Alex
Comment 15 Alex Buckley 2020-03-31 00:45:27 UTC
Created attachment 102097 [details] [review]
Bug 22534: Added syspref for defining what guarantee fields are pre filled

Librarians should be able to define what sections in member entryfields in 'Main address',
'Contact' and 'Alternate contact' in member entry form for guarantee's are pre-filled from guarantor's record

The 'Guarantor surname, 'Guarantor first name' and 'relationship' fields
in the 'Contact' section should not be filled from guarantor patron
record as those fields are intended for guarantor's without patron
records in Koha.

Test plan:
1. On an adult patron's record (which has all fields filled out in the
'Main address', 'Contact' (Except for 'Guarantor surname', 'Guarantor
first name', and 'relationship'), 'Alternate address', and 'Alternate contact') select 'Add guarantee'

2. Observe:

* Fields in 'Main address' are all automatically pre-filled
from guarantor record

* Fields in 'Contact' (except 'Guarantor surname', 'Guarantor firstname'
and 'relationship') are all automatically pre-filled from guarantor
record

* Fields in 'Alternate address' (except for Contact note) are pre-filled from guarantor record

* None of the fields in 'Alternate contact' are pre-filled from guarantor

4. Apply patch

5. Run database updates
cd installer/data/mysql
sudo koha-shell <instancename>
./updatedatabase.pl

6. Restart plack:
sudo koha-plack --restart <instancename>

7. Go to Administration > Global system preferences and search for the
new PrefillGuaranteeField system preference

8. Observe this syspref contains checkboxes and the following are
selected by default:
Contact - Primary email
Contact - Primary phone
Main address - Address
Main address - City
Main address - Country
Main address - State
Main address - ZIP/Postal code
Main address - street number

Please note: 'Contact - Guarantor surname', 'Contact - Guarantor first
name', Contact - relationship' are not in PrefillGuaranteeField syspref
as they are for non Koha patrons and so should not be pre-filled from a Koha
patron.

9. Repeat step 1 and observe the following fields are prefilled from guarantor:
In Main address section -
streetnumber
address
city
state
zipcode/postal code
country

In Contact section -
Primary phone
Primary email

10. In the PrefillGuaranteeField syspref click '[Select all]' checkboxes

11. Repeat step 1 and observe all fields in 'Main address', 'Contact'
(except Guarantor surname, Guarantor first name, and relationship),
Alternate address and Alterate contact are filled from guarantor record.

i.e. The values in guarantor's 'Alternate address' fields fill the
guarantee's 'Alternate address' fields

12. Change a few of the prefilled field values and 'Save' and observe your changes
have been saved in addition to the unaltered pre-filled values in other
fields

13. Amend PrefillGuarantee field syspref to have no checkboxes selected

14. Repeat step 1 and observe none of the fields in Main address,
Contact, Alternate address and Alternate contact are pre-filled

15. Run tests:
sudo koha-shell <instancename>
prove xt
prove t

Sponsored-by: Waitaki Distict Council, NZ
Comment 16 ByWater Sandboxes 2020-03-31 11:46:36 UTC
Created attachment 102124 [details] [review]
Bug 22534: Added syspref for defining what guarantee fields are pre filled

Librarians should be able to define what sections in member entryfields in 'Main address',
'Contact' and 'Alternate contact' in member entry form for guarantee's are pre-filled from guarantor's record

The 'Guarantor surname, 'Guarantor first name' and 'relationship' fields
in the 'Contact' section should not be filled from guarantor patron
record as those fields are intended for guarantor's without patron
records in Koha.

Test plan:
1. On an adult patron's record (which has all fields filled out in the
'Main address', 'Contact' (Except for 'Guarantor surname', 'Guarantor
first name', and 'relationship'), 'Alternate address', and 'Alternate contact') select 'Add guarantee'

2. Observe:

* Fields in 'Main address' are all automatically pre-filled
from guarantor record

* Fields in 'Contact' (except 'Guarantor surname', 'Guarantor firstname'
and 'relationship') are all automatically pre-filled from guarantor
record

* Fields in 'Alternate address' (except for Contact note) are pre-filled from guarantor record

* None of the fields in 'Alternate contact' are pre-filled from guarantor

4. Apply patch

5. Run database updates
cd installer/data/mysql
sudo koha-shell <instancename>
./updatedatabase.pl

6. Restart plack:
sudo koha-plack --restart <instancename>

7. Go to Administration > Global system preferences and search for the
new PrefillGuaranteeField system preference

8. Observe this syspref contains checkboxes and the following are
selected by default:
Contact - Primary email
Contact - Primary phone
Main address - Address
Main address - City
Main address - Country
Main address - State
Main address - ZIP/Postal code
Main address - street number

Please note: 'Contact - Guarantor surname', 'Contact - Guarantor first
name', Contact - relationship' are not in PrefillGuaranteeField syspref
as they are for non Koha patrons and so should not be pre-filled from a Koha
patron.

9. Repeat step 1 and observe the following fields are prefilled from guarantor:
In Main address section -
streetnumber
address
city
state
zipcode/postal code
country

In Contact section -
Primary phone
Primary email

10. In the PrefillGuaranteeField syspref click '[Select all]' checkboxes

11. Repeat step 1 and observe all fields in 'Main address', 'Contact'
(except Guarantor surname, Guarantor first name, and relationship),
Alternate address and Alterate contact are filled from guarantor record.

i.e. The values in guarantor's 'Alternate address' fields fill the
guarantee's 'Alternate address' fields

12. Change a few of the prefilled field values and 'Save' and observe your changes
have been saved in addition to the unaltered pre-filled values in other
fields

13. Amend PrefillGuarantee field syspref to have no checkboxes selected

14. Repeat step 1 and observe none of the fields in Main address,
Contact, Alternate address and Alternate contact are pre-filled

15. Run tests:
sudo koha-shell <instancename>
prove xt
prove t

Sponsored-by: Waitaki Distict Council, NZ

Signed-off-by: Sally <sally.healey@cheshiresharedservices.go.uk>
Comment 17 Jonathan Druart 2020-03-31 12:22:39 UTC
Created attachment 102126 [details] [review]
Bug 22534: Added syspref for defining what guarantee fields are pre filled

Librarians should be able to define what sections in member entryfields in 'Main address',
'Contact' and 'Alternate contact' in member entry form for guarantee's are pre-filled from guarantor's record

The 'Guarantor surname, 'Guarantor first name' and 'relationship' fields
in the 'Contact' section should not be filled from guarantor patron
record as those fields are intended for guarantor's without patron
records in Koha.

Test plan:
1. On an adult patron's record (which has all fields filled out in the
'Main address', 'Contact' (Except for 'Guarantor surname', 'Guarantor
first name', and 'relationship'), 'Alternate address', and 'Alternate contact') select 'Add guarantee'

2. Observe:

* Fields in 'Main address' are all automatically pre-filled
from guarantor record

* Fields in 'Contact' (except 'Guarantor surname', 'Guarantor firstname'
and 'relationship') are all automatically pre-filled from guarantor
record

* Fields in 'Alternate address' (except for Contact note) are pre-filled from guarantor record

* None of the fields in 'Alternate contact' are pre-filled from guarantor

4. Apply patch

5. Run database updates
cd installer/data/mysql
sudo koha-shell <instancename>
./updatedatabase.pl

6. Restart plack:
sudo koha-plack --restart <instancename>

7. Go to Administration > Global system preferences and search for the
new PrefillGuaranteeField system preference

8. Observe this syspref contains checkboxes and the following are
selected by default:
Contact - Primary email
Contact - Primary phone
Main address - Address
Main address - City
Main address - Country
Main address - State
Main address - ZIP/Postal code
Main address - street number

Please note: 'Contact - Guarantor surname', 'Contact - Guarantor first
name', Contact - relationship' are not in PrefillGuaranteeField syspref
as they are for non Koha patrons and so should not be pre-filled from a Koha
patron.

9. Repeat step 1 and observe the following fields are prefilled from guarantor:
In Main address section -
streetnumber
address
city
state
zipcode/postal code
country

In Contact section -
Primary phone
Primary email

10. In the PrefillGuaranteeField syspref click '[Select all]' checkboxes

11. Repeat step 1 and observe all fields in 'Main address', 'Contact'
(except Guarantor surname, Guarantor first name, and relationship),
Alternate address and Alterate contact are filled from guarantor record.

i.e. The values in guarantor's 'Alternate address' fields fill the
guarantee's 'Alternate address' fields

12. Change a few of the prefilled field values and 'Save' and observe your changes
have been saved in addition to the unaltered pre-filled values in other
fields

13. Amend PrefillGuarantee field syspref to have no checkboxes selected

14. Repeat step 1 and observe none of the fields in Main address,
Contact, Alternate address and Alternate contact are pre-filled

15. Run tests:
sudo koha-shell <instancename>
prove xt
prove t

Sponsored-by: Waitaki Distict Council, NZ

Signed-off-by: Sally <sally.healey@cheshiresharedservices.go.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Martin Renvoize 2020-04-06 09:58:05 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 19 Alex Buckley 2020-04-06 20:14:45 UTC
Many thanks everyone!
Comment 20 Jonathan Druart 2020-04-14 10:15:10 UTC
Created attachment 102919 [details] [review]
Bug 22534: (RM follow-up) Remove errant hidden file

An nfs share file got commited by mistake :(

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 21 Joy Nelson 2020-04-29 15:01:30 UTC
enhancement not backported to 19.11.x